<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('diamond_deposit_request', function (Blueprint $table) {
            $table->id();
            $table->string('user_id', 50);
            $table->float('wallet_value', 15, 2);
            $table->string('pay_mode', 30);
            $table->string('utr', 50);
            $table->text('receipt')->nullable();
            $table->string('status',30);
            $table->datetime('approve_date');
            $table->boolean('is_deleted')->default(0);
            $table->boolean('is_blocked')->default(0);
            $table->string('give_spot',50)->nullable();
            $table->string('remark', 200);
            $table->string('deposited_by');
            $table->string('verified_by')->nullable();
            $table->datetime('entry_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('diamond_deposit_request');
    }
};
